jQuery( function( $ ) {
  $(document).ready(function () {
    var params = {
      change: function(e, ui) {
        $( e.target ).val( ui.color.toString() );
      $( e.target ).trigger('change'); // enable widget "Save" button
    },
    clear: function(e, ui) {
      $( e.target ).val();
      $( e.target ).trigger('change'); // enable widget "Save" button
    },
  };

  $('#widgets-right .color-picker, .inactive-sidebar .color-picker').wpColorPicker(params);
    // Executes wpColorPicker function after AJAX is fired on saving the widget
    $(document).ajaxComplete(function() {
      $('#widgets-right .color-picker, .inactive-sidebar .color-picker').wpColorPicker(params);
    });


    $(document).on( 'ready widget-added widget-updated', function(event, widget) {
      $('.color-picker').not('[id*="__i__"]').wpColorPicker();
    });

  });
} );


jQuery(function ($) {
	"use strict";
	
	$(document).ready(function(){
		testColorFields.initColorPicker();
	});
	
	$( document ).on( 'widget-added widget-updated', function(event, widget){
		testColorFields.initColorPicker( widget );
	});
	
	var testColorFields = {
		initColorPicker: function() {
			var colorPicker = $('.color-picker');
			
			if (colorPicker.length && colorPicker.find('.wp-picker-container').length <= 0) {
				colorPicker.each(function(){
					var thisColorPicker = $(this),
						listParent = thisColorPicker.parents('#widget-list');
					
					//do not initiate color picker if in widget list
					if (listParent.length <= 0){
						testColorFields.initPickerField( thisColorPicker );
					}
				});
			}
		},
		initPickerField: function( field ) {
			if (field.find('.wp-picker-container').length <= 0) {
				field.wpColorPicker();
			}
		}
	};
	
});