<?php
defined( 'ABSPATH' ) || exit;
/**
 * Admin AMP
 *
 * @package YAHMAN Add-ons
 */
?>

<div id="ya_amp_content" class="tab_content dn fi15">
  <h3><?php esc_html_e('AMP','yahman-add-ons'); ?></h3>
  <h4><?php esc_html_e('This is enabled when themes are active in Simple Days or Simple Days Plus or Neatly or Neatly Plus.','yahman-add-ons'); ?></h4>
  <?php

  $option = get_option('yahman_addons') ;
  $amp['enable'] = isset($option['amp']['enable']) ? true: false;
  //$amp['word_balloon'] = isset($option['amp']['word_balloon']) ? true: false;
  $amp['logo'] = !empty($option['amp']['logo']) ? $option['amp']['logo'] : YAHMAN_ADDONS_URI . 'assets/images/amp-logo.png';
  $amp['logo_id'] = isset($option['amp']['logo_id']) ? $option['amp']['logo_id'] : '';
  $amp['ga'] = isset($option['amp']['ga']) ? $option['amp']['ga'] : '';

  $amp['post_not_in'] = isset($option['amp']['post_not_in']) ? $option['amp']['post_not_in']: '';
  ?>
  <table class="form-table">
    <tr valign="top">
      <th scope="row"><label for="amp_enable"><?php esc_html_e('Enable','yahman-add-ons'); ?></label></th>
      <td><input name="yahman_addons[amp][enable]" type="checkbox" id="amp_enable"<?php checked(true, $amp['enable']); ?> class="ya_checkbox" /></td>
    </tr>

    <tr valign="top">
      <th scope="row"><label for="amp_logo"><?php esc_html_e('AMP Logo Image','yahman-add-ons'); ?></label><br />
        <label for="amp_logo"><?php esc_html_e('AMP Logo use this image.','yahman-add-ons'); ?></label><br />
        <label for="amp_logo"><?php echo esc_html__( 'For more information', 'simple-days').' <a href="'.esc_url('https://developers.google.com/search/docs/data-types/article#amp').'" target="_blank">'.esc_html__( 'click here' , 'simple-days').'</a>'; ?></label>
      </th>
      <td>

        <div class="amp_logo" style="width: 100%; max-width:640px; height:auto;">
          <div class="amp_logo_id_placeholder" style="width: 100%; position: relative; text-align: center; cursor: default;border: 1px dashed #b4b9be;box-sizing: border-box;padding: 9px 0;line-height: 20px; margin: 10px 0;<?php if( !empty( $amp['logo'] ) ){echo 'display:none;';} ?>"><?php esc_html_e( 'No image selected', 'yahman-add-ons' ); ?></div>
          <img class="amp_logo_id_media_image custom_media_image" src="<?php if( !empty( $amp['logo'] ) ){echo esc_url($amp['logo']);} ?>" style="width: 100%; max-width: 640px; height:auto; margin-bottom: 10px;" />

        </div>
        <input type="hidden" type="text" class="amp_logo_id_media_id custom_media_id" name="yahman_addons[amp][logo_id]" id="amp_logo_id" value="<?php echo esc_attr($amp['logo_id']); ?>" />

        <input type="hidden" type="text" class="amp_logo_id_media_url custom_media_url" name="yahman_addons[amp][logo]" id="amp_logo_url" value="<?php echo esc_url($amp['logo']); ?>" >
        <input type="button" value="<?php esc_html_e( 'Clear Image', 'yahman-add-ons' ); ?>" class="button amp_logo_id_remove-button custom_media_clear" id="amp_logo_id" style="<?php if( !empty( $amp['logo'] ) ){echo 'display:inline-block;';}else{echo 'display:none;';} ?>" />
        <input type="button" value="<?php esc_html_e( 'Select Image', 'yahman-add-ons' ); ?>" class="button upload-button custom_media_upload" id="amp_logo_id"/>

      </td>
    </tr>

    <tr valign="top">
      <th scope="row"><label for="amp_ga"><?php esc_html_e('Google Analytics AMP account','yahman-add-ons'); ?></label><br />
        <label for="amp_ga"><?php echo esc_html__('e.g.&nbsp;', 'yahman-add-ons').esc_html('UA-XXXXXX-Y'); ?></label>
      </th>
      <td>
        <input name="yahman_addons[amp][ga]" type="text" id="amp_ga" value="<?php echo esc_attr($amp['ga']); ?>" class="ya_textbox" />
      </td>
    </tr>

  </table>

  <h4><?php esc_html_e('Non AMP when you type post id.','yahman-add-ons'); ?></h4>
  <p class="description"><?php esc_html_e('Multiple id must be seperated by a comma.','yahman-add-ons'); ?></p>

  <table class="form-table">

    <tr valign="top">
      <th scope="row">
        <label for="amp_post_not_in"><?php echo esc_html_e('Post ID','yahman-add-ons'); ?></label>
      </th>
      <td>
        <input name="yahman_addons[amp][post_not_in]" type="text" id="amp_post_not_in" value="<?php echo $amp['post_not_in']; ?>" class="widefat" />
      </td>
    </tr>

  </table>

</div>




<?php
