<?php
defined( 'ABSPATH' ) || exit;
/**
 * Admin Pageview Page
 *
 * @package YAHMAN Add-ons
 */
?>

<div id="ya_pv_content" class="tab_content dn fi15">
  <h3><?php esc_html_e('Pageview','yahman-add-ons'); ?></h3>

  <?php

  $option = get_option('yahman_addons') ;
  $pv['enable'] = isset($option['pv']['enable']) ? true: false;

  $widget['pv'] = isset($option['widget']['pv']) ? true: false;
  $widget['pp'] = isset($option['widget']['pp']) ? true: false;

  $pv['img_enable'] = isset($option['pv']['img_enable']) ? true: false;
  for($i = 0; $i <= 9; $i++){
    $pv['img_'.$i] =  isset($option['pv']['img_'.$i]) ? $option['pv']['img_'.$i]: '';
    $pv['img_id_'.$i] =  isset($option['pv']['img_id_'.$i]) ? $option['pv']['img_id_'.$i]: '';
  }
  ?>
  <table class="form-table">
    <tr valign="top">
      <th scope="row"><label for="pv_enable"><?php esc_html_e('Count of Pageview','yahman-add-ons'); ?></label></th>
      <td><input name="yahman_addons[pv][enable]" type="checkbox" id="pv_enable"<?php checked(true, $pv['enable']); ?> class="ya_checkbox" /></td>
    </tr>

    <tr valign="top">
      <th scope="row"><label for="widget_pv"><?php esc_html_e('Add Widget of Pageview','yahman-add-ons'); ?></label></th>
      <td><input name="yahman_addons[widget][pv]" type="checkbox" id="widget_pv"<?php checked(true, $widget['pv']); ?> class="ya_checkbox" /></td>
    </tr>

    <tr valign="top">
      <th scope="row"><label for="widget_pp"><?php esc_html_e('Add Widget of Popular Post','yahman-add-ons'); ?></label>
      </th>
      <td><input name="yahman_addons[widget][pp]" type="checkbox" id="widget_pp"<?php checked(true, $widget['pp']); ?> class="ya_checkbox" /></td>
    </tr>

    <tr valign="top">
      <th scope="row" colspan="2"><h3 style="background: #000; color:#fff; padding: 5px 10px; margin-bottom: 0;"><?php esc_html_e('Counter image for widget', 'yahman-add-ons'); ?></h3></th>
    </tr>

    <tr valign="top">
      <th scope="row"><label for="pv_img_enable"><?php esc_html_e('Enable','yahman-add-ons'); ?></label>
      </th>
      <td><input name="yahman_addons[pv][img_enable]" type="checkbox" id="pv_img_enable"<?php checked(true, $pv['img_enable']); ?> class="ya_checkbox" /></td>
    </tr>

    <?php
    for($i = 0; $i <= 9; $i++){
      ?>

      <tr valign="top">
        <th scope="row"><label><?php echo esc_html($i); ?></label>
        </th>
        <td>

          <div class="counter_image" style="width: 100%; max-width:320px; height:auto;">
            <div class="pv_img_<?php echo esc_html($i); ?>_placeholder" style="width: 100%; position: relative; text-align: center; cursor: default;border: 1px dashed #b4b9be;box-sizing: border-box;padding: 9px 0;line-height: 20px; margin: 10px 0;<?php if( !empty( $pv['img_'.$i] ) ){echo 'display:none;';} ?>"><?php esc_html_e( 'No image selected', 'yahman-add-ons' ); ?></div>
            <img class="pv_img_<?php echo esc_html($i); ?>_media_image counter_image_image" src="<?php if( !empty( $pv['img_'.$i] ) ){echo esc_url($pv['img_'.$i]);} ?>" style=" max-width: 120px; height:auto; margin-bottom: 10px;" />

          </div>
          <input type="hidden" type="text" class="pv_img_<?php echo esc_html($i); ?>_media_id counter_image_id" name="yahman_addons[pv][img_id_<?php echo esc_html($i); ?>]" id="pv_img_id_<?php echo esc_html($i); ?>" value="<?php echo esc_attr($pv['img_id_'.$i]); ?>" />

          <input type="hidden" type="text" class="pv_img_<?php echo esc_html($i); ?>_media_url counter_image_url" name="yahman_addons[pv][img_<?php echo esc_html($i); ?>]" id="pv_img_<?php echo esc_html($i); ?>_media_url" value="<?php echo esc_url($pv['img_'.$i]); ?>" >
          <input type="button" value="<?php esc_html_e( 'Clear Image', 'yahman-add-ons' ); ?>" class="button pv_img_<?php echo esc_html($i); ?>_remove-button counter_image_clear" id="pv_img_<?php echo esc_html($i); ?>" style="<?php if( !empty( $pv['img_'.$i] ) ){echo 'display:inline-block;';}else{echo 'display:none;';} ?>" />
          <input type="button" value="<?php esc_html_e( 'Select Image', 'yahman-add-ons' ); ?>" class="button upload-button counter_image_upload" id="pv_img_<?php echo esc_html($i); ?>"/>

        </td>
      </tr>

      <?php
    }
    ?>

  </table>

</div>




<?php
