<?php
defined( 'ABSPATH' ) || exit;
/**
 * Admin Search Engine Visibility Page
 *
 * @package YAHMAN Add-ons
 */
?>

<div id="ya_robot_content" class="tab_content dn fi15">
  <h3><?php esc_html_e('Search Engine Visibility','yahman-add-ons'); ?></h3>
  <h4><?php esc_html_e('Discourage search engines from indexing checked page','yahman-add-ons'); ?></h4>
  <p class="description"><?php esc_html_e('It is up to search engines to honor this request.','yahman-add-ons'); ?></p>



  <?php

  $option = get_option('yahman_addons') ;
  $robot = array();
  $robot_list = array(
    '404' => esc_html_x('404', 'robot' ,'yahman-add-ons') ,
    'search' => esc_html_x('search', 'robot' ,'yahman-add-ons') ,
    'year' => esc_html_x('year', 'robot' ,'yahman-add-ons') ,
    'month' => esc_html_x('month', 'robot' ,'yahman-add-ons') ,
    'day' => esc_html_x('day', 'robot' ,'yahman-add-ons') ,
    'tag' => esc_html_x('tag', 'robot' ,'yahman-add-ons') ,
    'category' => esc_html_x('category', 'robot' ,'yahman-add-ons') ,
    'attachment' => esc_html_x('attachment', 'robot' ,'yahman-add-ons') ,
  );

  foreach ($robot_list as $key) {
    $robot[$key] = isset($option['robot'][$key]) ? true: false;
  }

  $robot['404'] = isset($option['robot']['404']) ? true: false;
  $robot['search'] = isset($option['robot']['search']) ? true: false;
  $robot['year'] = isset($option['robot']['year']) ? true: false;
  $robot['month'] = isset($option['robot']['month']) ? true: false;
  $robot['day'] = isset($option['robot']['day']) ? true: false;
  $robot['tag'] = isset($option['robot']['tag']) ? true: false;
  $robot['category'] = isset($option['robot']['category']) ? true: false;
  $robot['attachment'] = isset($option['robot']['attachment']) ? true: false;

  $robot['post_not_in'] = isset($option['robot']['post_not_in']) ? $option['robot']['post_not_in']: '';
  ?>
  <table class="form-table">
    <?php
    foreach ($robot_list as $key => $value) { ?>
      <tr valign="top">
        <th scope="row"><label for="robot_<?php echo esc_attr($key); ?>"><?php echo esc_html($value); ?></label></th>
        <td><input name="yahman_addons[robot][<?php echo esc_attr($key); ?>]" type="checkbox" id="robot_<?php echo esc_attr($key); ?>"<?php checked(true, $robot[$key]); ?> class="ya_checkbox" /></td>
      </tr>
      <?php
    }
    ?>


  </table>

  <h4><?php esc_html_e('Discourage search engines when you type post id.','yahman-add-ons'); ?></h4>
  <p class="description"><?php esc_html_e('Multiple id must be seperated by a comma.','yahman-add-ons'); ?></p>

  <table class="form-table">

      <tr valign="top">
        <th scope="row">
          <label for="robot_post_not_in"><?php echo esc_html_e('Post ID','yahman-add-ons'); ?></label>
        </th>
        <td>
          <input name="yahman_addons[robot][post_not_in]" type="text" id="robot_post_not_in" value="<?php echo $robot['post_not_in']; ?>" class="widefat" />
        </td>
      </tr>

  </table>

</div>




<?php
