<?php
defined( 'ABSPATH' ) || exit;
/**
 * Admin TOC Page
 *
 * @package YAHMAN Add-ons
 */
?>

<div id="ya_toc_content" class="tab_content dn fi15">
  <h3><?php esc_html_e('Table of contents','yahman-add-ons'); ?></h3>

  <?php

  $option = get_option('yahman_addons');
  $toc['enable'] = isset($option['toc']['enable']) ? true: false;
  $toc['title'] = isset($option['toc']['title']) ? $option['toc']['title'] : esc_html_x( 'Contents', 'toc' , 'yahman-add-ons' );
  $toc['dc'] = isset($option['toc']['dc']) ? intval($option['toc']['dc']) : 3;
  $i = 2;
  while($i < 11){
    if($i == $toc['dc']){
      $toc_dc[$i] = ' selected';
    }else{
      $toc_dc[$i] = '';
    }
    ++$i;
  }
  $toc['dp'] = isset($option['toc']['dp']) ? intval($option['toc']['dp']) : 1;
  $i = 1;
  while($i < 4){
    if($i == $toc['dp']){
      $toc_dp[$i] = ' selected';
    }else{
      $toc_dp[$i] = '';
    }
    ++$i;
  }
  $toc['post'] = isset($option['toc']['post']) ? true: false;
  $toc['page'] = isset($option['toc']['page']) ? true: false;
  $toc['hierarchical'] = isset($option['toc']['hierarchical']) ? true: false;
  $toc['numerical'] = isset($option['toc']['numerical']) ? true: false;
  $toc['hide'] = isset($option['toc']['hide']) ? true: false;
  $widget['toc'] = isset($option['widget']['toc']) ? true: false;
  $toc['widget_sticky'] = isset($option['toc']['widget_sticky']) ? true: false;

  ?>
  <table class="form-table">
    <tr valign="top">
      <th scope="row"><label for="toc_enable"><?php esc_html_e('Enable','yahman-add-ons'); ?></label></th>
      <td><input name="yahman_addons[toc][enable]" type="checkbox" id="toc_enable"<?php checked(true, $toc['enable']); ?> class="ya_checkbox" /></td>
    </tr>
    <tr valign="top">
      <th scope="row"><label for="toc_title"><?php esc_html_e('Toc Title','yahman-add-ons'); ?></label></th>
      <td><input name="yahman_addons[toc][title]" type="text" id="toc_title" value="<?php echo esc_attr($toc['title']); ?>" class="ya_textbox" /></td>
    </tr>
    <tr valign="top">
      <th scope="row"><label for="toc_dc"><?php esc_html_e('lower limit the heading which toc is displayed','yahman-add-ons'); ?></label></th>
      <td>
        <select name="yahman_addons[toc][dc]" id="toc_dc">
          <option value="2"<?php echo esc_attr($toc_dc['2']); ?>>2</option>
          <option value="3"<?php echo esc_attr($toc_dc['3']); ?>>3</option>
          <option value="4"<?php echo esc_attr($toc_dc['4']); ?>>4</option>
          <option value="5"<?php echo esc_attr($toc_dc['5']); ?>>5</option>
          <option value="6"<?php echo esc_attr($toc_dc['6']); ?>>6</option>
          <option value="7"<?php echo esc_attr($toc_dc['7']); ?>>7</option>
          <option value="8"<?php echo esc_attr($toc_dc['8']); ?>>8</option>
          <option value="9"<?php echo esc_attr($toc_dc['9']); ?>>9</option>
          <option value="10"<?php echo esc_attr($toc_dc['10']); ?>>10</option>
        </select>
      </td>
    </tr>
    <tr valign="top">
      <th scope="row"><label for="toc_dp"><?php esc_html_e('display position','yahman-add-ons'); ?></label></th>
      <td>
        <select name="yahman_addons[toc][dp]" id="toc_dp">
          <option value="1"<?php echo esc_attr($toc_dp['1']); ?>><?php esc_html_e('Before the first heading', 'yahman-add-ons'); ?></option>
          <option value="2"<?php echo esc_attr($toc_dp['2']); ?>><?php esc_html_e('After the first heading', 'yahman-add-ons'); ?></option>
          <option value="3"<?php echo esc_attr($toc_dp['3']); ?>><?php esc_html_e('Top', 'yahman-add-ons'); ?></option>

        </select>
      </td>
    </tr>
    <tr valign="top">
      <th scope="row"><label for="toc_post"><?php esc_html_e('Automatically display toc in post','yahman-add-ons'); ?></label></th>
      <td><input name="yahman_addons[toc][post]" type="checkbox" id="toc_post"<?php checked(true, $toc['post']); ?> class="ya_checkbox" /></td>
    </tr>
    <tr valign="top">
      <th scope="row"><label for="toc_page"><?php esc_html_e('Automatically display toc in page','yahman-add-ons'); ?></label></th>
      <td><input name="yahman_addons[toc][page]" type="checkbox" id="toc_page"<?php checked(true, $toc['page']); ?> class="ya_checkbox" /></td>
    </tr>
    <tr valign="top">
      <th scope="row"><label for="toc_hierarchical"><?php esc_html_e('hierarchical view','yahman-add-ons'); ?></label></th>
      <td><input name="yahman_addons[toc][hierarchical]" type="checkbox" id="toc_hierarchical"<?php checked(true, $toc['hierarchical']); ?> class="ya_checkbox" /></td>
    </tr>
    <tr valign="top">
      <th scope="row"><label for="toc_numerical"><?php esc_html_e('numerical display','yahman-add-ons'); ?></label></th>
      <td><input name="yahman_addons[toc][numerical]" type="checkbox" id="toc_numerical"<?php checked(true, $toc['numerical']); ?> class="ya_checkbox" /></td>
    </tr>
    <tr valign="top">
      <th scope="row"><label for="toc_hide"><?php esc_html_e('Initially hide table of contents','yahman-add-ons'); ?></label></th>
      <td><input name="yahman_addons[toc][hide]" type="checkbox" id="toc_hide"<?php checked(true, $toc['hide']); ?> class="ya_checkbox" /></td>
    </tr>
    <tr valign="top">
      <th scope="row"><label for="widget_toc"><?php esc_html_e('Add Widgets TOC','yahman-add-ons'); ?></label></th>
      <td><input name="yahman_addons[widget][toc]" type="checkbox" id="widget_toc"<?php checked(true, $widget['toc']); ?> class="ya_checkbox" /></td>
    </tr>
    <tr valign="top">
      <th scope="row"><label for="toc_widget_sticky"><?php esc_html_e('Sticky TOC of SideBar Widgets','yahman-add-ons'); ?></label></th>
      <td><input name="yahman_addons[toc][widget_sticky]" type="checkbox" id="toc_widget_sticky"<?php checked(true, $toc['widget_sticky']); ?> class="ya_checkbox" /></td>
    </tr>
  </table>

</div>




<?php
