<?php
defined( 'ABSPATH' ) || exit;


add_action('wp_head','yahman_addons_amp_head');

function yahman_addons_amp_head(){
	global $wp;
	if(YA_AMP){
		?>
		<link rel="canonical" href="<?php echo esc_url(home_url( add_query_arg( array(), $wp->request ) )); ?>" />
		<style amp-boilerplate>body{-webkit-animation:-amp-start 8s steps(1,end) 0s 1 normal both;-moz-animation:-amp-start 8s steps(1,end) 0s 1 normal both;-ms-animation:-amp-start 8s steps(1,end) 0s 1 normal both;animation:-amp-start 8s steps(1,end) 0s 1 normal both}@-webkit-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@-moz-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@-ms-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@-o-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}</style><noscript><style amp-boilerplate>body{-webkit-animation:none;-moz-animation:none;-ms-animation:none;animation:none}</style></noscript>
		<meta name="amp-google-client-id-api" content="googleanalytics">
		<?php
	}
}

add_action('template_redirect','yahman_addons_is_user_logged_in');
//plugins_loaded

function yahman_addons_is_user_logged_in(){

	function yahman_addons_ob_end_flush() {
		ob_end_flush();
	}

	
	function yahman_addons_html_add_amp_start() {
		ob_start( 'yahman_addons_html_add_amp_replace' );
	}

	function yahman_addons_html_add_amp_replace($buffer) {
		$buffer =  str_replace("<html", "<html ⚡", $buffer);
		$buffer =  str_replace('initial-scale=1', 'minimum-scale=1,initial-scale=1', $buffer);
		return $buffer;
	}

	add_action( 'template_redirect', 'yahman_addons_html_add_amp_start', 100000000 );
	add_action( 'wp_head', 'yahman_addons_ob_end_flush', 0 );



	
	function yahman_addons_head_amp_custom_start() {
		ob_start( 'yahman_addons_head_amp_custom_replace' );
	}

	function yahman_addons_head_amp_custom_replace($buffer) {
		$buffer = str_replace("id='amp-custom-inline-css'", "amp-custom", $buffer);
		$buffer = preg_replace('/<link (.*?)type=\"text\/css\"(.*?)>/i', '', $buffer);
		return $buffer;
	}

	add_action( 'wp_head', 'yahman_addons_head_amp_custom_start', 0 );
	add_action( 'wp_head', 'yahman_addons_ob_end_flush', 100 );


	
	function yahman_addons_head_amp_footer_start() {
		ob_start( 'yahman_addons_head_amp_footer_replace' );
	}

	function yahman_addons_head_amp_footer_replace($buffer) {
		$buffer = preg_replace('/<script type=\"text\/javascript\">(.*?)<\/script>/is', '', $buffer);
		$buffer = preg_replace('/<link rel=\"style(.*?)>/is', '', $buffer);

		$amp_keyframes = '';
		
		require_once ABSPATH . 'wp-admin/includes/file.php';
		WP_Filesystem();
		global $wp_filesystem;
		
		$yahman_stylesheet = get_stylesheet();
		if($yahman_stylesheet === 'simple-days' || $yahman_stylesheet === 'simple-days-plus'){
			$amp_keyframes = $wp_filesystem->get_contents( SIMPLE_DAYS_THEME_DIR.'assets/css/keyframes.min.css' );
		}

		if($amp_keyframes !== '')
			$buffer = str_replace('</body>','<style amp-keyframes>'. $amp_keyframes .'</style></body>',$buffer);

		return $buffer;
	}

	function yahman_addons_head_amp_footer_end() {
		ob_end_flush();
	}


	add_action( 'wp_footer', 'yahman_addons_head_amp_footer_start', 0 );
	add_action( 'shutdown', 'yahman_addons_head_amp_footer_end', 0 );


	
	function yahman_addons_TagCloud_slug_class( $taglinks ) {
		$taglinks = preg_replace( '/ style="(.*?)"/i', '', $taglinks );
		return $taglinks;
	}


	add_filter ( 'wp_tag_cloud', 'yahman_addons_TagCloud_slug_class' );


	
	function yahman_addons_remove_widgets_style() {
		global $wp_widget_factory;
		remove_action( 'wp_head', array( $wp_widget_factory->widgets['WP_Widget_Recent_Comments'], 'recent_comments_style' ) );
	}


	add_action( 'widgets_init', 'yahman_addons_remove_widgets_style' );


	
	function yahman_addons_head_amp_custom_comment_avatar($get_avatar) {
		$get_avatar = preg_replace( '/<img (.*?)>/i', '<amp-img $1></amp-img>', $get_avatar );
		return $get_avatar;
	}





	
	function yahman_addons_head_amp_custom_comment_reply_link($comment_reply_link) {
		$comment_reply_link = preg_replace( '/ onclick=\'(.*?)\'/i', '', $comment_reply_link );
		return $comment_reply_link;
	}


	add_filter( 'comment_reply_link', 'yahman_addons_head_amp_custom_comment_reply_link' );


	
	function yahman_addons_delete_custom_css( $css ) {
		return $css = '';
	}

	if ( ! function_exists( 'yahman_addons_template_load_stylesheets' ) ) :
		function yahman_addons_template_load_stylesheets(){

			$yahman_stylesheet = get_stylesheet();
			if($yahman_stylesheet === 'simple-days' || $yahman_stylesheet === 'simple-days-plus'){
				require_once YAHMAN_ADDONS_DIR . 'inc/amp/simple-days.php';
				yahman_addons_Simple_Days_style();
			}
			if($yahman_stylesheet === 'neatly' || $yahman_stylesheet === 'neatly-plus'){
				require_once YAHMAN_ADDONS_DIR . 'inc/amp/neatly.php';
				yahman_addons_Neatly_style();
			}
		}
	endif;
	add_action('wp_enqueue_scripts','yahman_addons_template_load_stylesheets');






	
	function yahman_addons_replace_link_stylesheet( $tag ) {
		if (YA_AMP){
			$tag =  preg_replace( array( "/'/", '/(id|type|media)=".+?" */', '/ \/>/' ), array( '"', '', '>' ), $tag );
		}
		return $tag;
	}

	add_filter( 'style_loader_tag', 'yahman_addons_replace_link_stylesheet' );


	function yahman_addons_replace_script_type($tag) {

		$tag =  preg_replace('/^(?!.*(ampproject)).*$/i', '', $tag);
		$tag =  str_replace("type='text/javascript'", "async", $tag);
		$tag =  str_replace("src='https://cdn.ampproject.org/v0/amp-ad-0.1.js", " custom-element=\"amp-ad\" src='https://cdn.ampproject.org/v0/amp-ad-0.1.js", $tag);
		$tag =  str_replace("src='https://cdn.ampproject.org/v0/amp-form-0.1.js", " custom-element=\"amp-form\" src='https://cdn.ampproject.org/v0/amp-form-0.1.js", $tag);
		$tag =  str_replace("src='https://cdn.ampproject.org/v0/amp-analytics-0.1.js", " custom-element=\"amp-analytics\" src='https://cdn.ampproject.org/v0/amp-analytics-0.1.js", $tag);
		$tag =  str_replace("src='https://cdn.ampproject.org/v0/amp-iframe-0.1.js", " custom-element=\"amp-iframe\" src='https://cdn.ampproject.org/v0/amp-iframe-0.1.js", $tag);
		$tag =  str_replace("src='https://cdn.ampproject.org/v0/amp-facebook-like-0.1.js", " custom-element=\"amp-facebook-like\" src='https://cdn.ampproject.org/v0/amp-facebook-like-0.1.js", $tag);
		$tag =  str_replace("src='https://cdn.ampproject.org/v0/amp-facebook-page-0.1.js", " custom-element=\"amp-facebook-page\" src='https://cdn.ampproject.org/v0/amp-facebook-page-0.1.js", $tag);

		$tag =  str_replace("src='https://cdn.ampproject.org/v0/amp-twitter-0.1.js", " custom-element=\"amp-twitter\" src='https://cdn.ampproject.org/v0/amp-twitter-0.1.js", $tag);

		$tag =  str_replace("src='https://cdn.ampproject.org/v0/amp-carousel-0.1.js", " custom-element=\"amp-carousel\" src='https://cdn.ampproject.org/v0/amp-carousel-0.1.js", $tag);

		$tag =  str_replace("src='https://cdn.ampproject.org/v0/amp-image-lightbox-0.1.js", " custom-element=\"amp-image-lightbox\" src='https://cdn.ampproject.org/v0/amp-image-lightbox-0.1.js", $tag);
		$tag =  str_replace("src='https://cdn.ampproject.org/v0/amp-lightbox-gallery-0.1.js", " custom-element=\"amp-lightbox-gallery\" src='https://cdn.ampproject.org/v0/amp-lightbox-gallery-0.1.js", $tag);

		$tag =  str_replace("src='https://cdn.ampproject.org/v0/amp-fit-text-0.1.js", " custom-element=\"amp-fit-text\" src='https://cdn.ampproject.org/v0/amp-fit-text-0.1.js", $tag);
		$tag =  str_replace("src='https://cdn.ampproject.org/v0/amp-selector-0.1.js", " custom-element=\"amp-selector\" src='https://cdn.ampproject.org/v0/amp-selector-0.1.js", $tag);
		$tag =  str_replace("src='https://cdn.ampproject.org/v0/amp-bind-0.1.js", " custom-element=\"amp-bind\" src='https://cdn.ampproject.org/v0/amp-bind-0.1.js", $tag);

		return $tag;
	}

	add_filter( 'script_loader_tag','yahman_addons_replace_script_type');




	$yahman_stylesheet = get_stylesheet();
	if($yahman_stylesheet === 'simple-days' || $yahman_stylesheet === 'simple-days-plus'){
		
		$maxcdn = 'https://maxcdn.bootstrapcdn.com';
		wp_enqueue_style('font-awesome4_cdn', $maxcdn.'/font-awesome/4.7.0/css/font-awesome.min.css', array(), null);
	}



	
	wp_enqueue_script('amp','https://cdn.ampproject.org/v0.js', array(), null );
	wp_enqueue_script('amp-ad','https://cdn.ampproject.org/v0/amp-ad-0.1.js', array(), null );
	wp_enqueue_script('amp-form','https://cdn.ampproject.org/v0/amp-form-0.1.js', array(), null );
	wp_enqueue_script('amp-carousel','https://cdn.ampproject.org/v0/amp-carousel-0.1.js', array(), null , false);
	wp_enqueue_script('amp-image-lightbox','https://cdn.ampproject.org/v0/amp-image-lightbox-0.1.js', array(), null );

 //wp_enqueue_script('amp-lightbox-gallery','https://cdn.ampproject.org/v0/amp-lightbox-gallery-0.1.js', array(), null , false);

 //wp_enqueue_script('amp-fit-text','https://cdn.ampproject.org/v0/amp-fit-text-0.1.js', array(), null , false);
 //wp_enqueue_script('amp-selector','https://cdn.ampproject.org/v0/amp-selector-0.1.js', array(), null , false);
 //wp_enqueue_script('amp-bind','https://cdn.ampproject.org/v0/amp-bind-0.1.js', array(), null , false);

	$yahman_option = get_option('yahman_addons') ;
	$amp_yahman['cta_facebook'] = isset($yahman_option['cta_social']['facebook']) ? true: false;
	$amp_yahman['cta_facebook_post'] = isset($yahman_option['cta_social']['post']) ? true: false;
	$amp_yahman['cta_facebook_page'] = isset($yahman_option['cta_social']['page']) ? true: false;
	$amp_yahman['facebook_account'] = isset($yahman_option['sns_account']['facebook']) ? $yahman_option['sns_account']['facebook'] : '';
	$amp_yahman['ga_gtag'] = isset($yahman_option['ga']['id']) ? $yahman_option['ga']['id'] : '';
	$amp_yahman['ga_amp'] = isset($yahman_option['amp']['ga']) ? $yahman_option['amp']['ga'] : '';

	if($amp_yahman['ga_gtag'] != '' || $amp_yahman['ga_amp'] != ''){
		wp_enqueue_script('amp-analytics','https://cdn.ampproject.org/v0/amp-analytics-0.1.js', array(), null );
	}

	wp_enqueue_script('amp-iframe','https://cdn.ampproject.org/v0/amp-iframe-0.1.js', array(), null );


	if($amp_yahman['cta_facebook'] && $amp_yahman['facebook_account'] != ''){
		if( (is_single() && !is_front_page() && $amp_yahman['cta_facebook_post']) || (is_page() && !is_front_page() && $amp_yahman['cta_facebook_page']) && !is_page_template('template-title_content.php') && !is_page_template('template-title_content_no_sidebar')  ){
			wp_enqueue_script('amp-facebook-like','https://cdn.ampproject.org/v0/amp-facebook-like-0.1.js', array(), null );
		}
	}

	if ( is_active_widget( false, false, 'ya_twitter_widget', true ) ) {
		wp_enqueue_script('amp-twitter','https://cdn.ampproject.org/v0/amp-twitter-0.1.js', array(), null );
	}

	if ( is_active_widget( false, false, 'ya_facebook_widget', true ) ) {
		wp_enqueue_script('amp-facebook-page','https://cdn.ampproject.org/v0/amp-facebook-page-0.1.js', array(), null );
	}

}

if (!is_user_logged_in()){
	
	add_action( 'wp_enqueue_scripts', 'yahman_addons_disable_script',999999999999);
	add_action( 'wp_enqueue_scripts', 'yahman_addons_remove_css', 999999999999 );

	global $wp_scripts, $wp_styles;
	$wp_scripts = $wp_styles = new stdClass;

}

function yahman_addons_disable_script() {
	add_filter( 'get_avatar', 'yahman_addons_head_amp_custom_comment_avatar' );
	add_filter( 'cancel_comment_reply_link', '__return_false' );

	remove_action('wp_head', 'wp_resource_hints', 2);
	remove_action('wp_head', 'print_emoji_detection_script', 7);
	remove_action('admin_print_scripts', 'print_emoji_detection_script');
	remove_action('wp_print_styles', 'print_emoji_styles' );
	remove_action('admin_print_styles', 'print_emoji_styles');
	remove_action('wp_head', 'rest_output_link_wp_head');
	remove_action('wp_head', 'wp_oembed_add_discovery_links');
	remove_action('wp_head', 'wp_oembed_add_host_js');
	remove_action('wp_head', 'feed_links', 2);
	remove_action('wp_head', 'feed_links_extra', 3);
	remove_action('wp_head', 'rsd_link');
	remove_action('wp_head', 'wlwmanifest_link');
	remove_action('wp_head', 'wp_generator');
	remove_action('wp_head', 'edd_version_in_header');

	remove_action('wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0);
	remove_action('wp_head', 'rel_canonical');
	remove_action('wp_head', 'wp_shortlink_wp_head', 10, 0);

	remove_action( 'wp_footer', 'wp_print_footer_scripts' );

	add_filter( 'show_recent_comments_widget_style', '__return_false', 99 );

}


function yahman_addons_remove_css(){
	wp_dequeue_style( 'yahman_addons_social_icon' );

	wp_dequeue_style( 'wp-block-library' );
	wp_dequeue_style( 'wp-block-library-theme' );
	wp_deregister_style( 'wp-components' );

	
	wp_dequeue_style( 'font-awesome4' );


	$allow_style = array(
		'font-awesome4_cdn',
		'simple_days_gutenberg_front_styles',
		'amp-custom',
	);

	$allow_script = array(
		'amp',
		'amp-ad',
		'amp-form',
		'amp-analytics',
		'amp-iframe',
		'amp-facebook-like',
		'amp-facebook-page',
		'amp-twitter',
		'amp-carousel',
		'amp-image-lightbox',
		'amp-lightbox-gallery',
		'amp-fit-text',
		'amp-selector',
		'amp-bind',
	);
	global $wp_scripts;
	foreach( $wp_scripts->queue as $script ) :
		if(!in_array($script, $allow_script , true)){
			wp_dequeue_script($script);
		}
	endforeach;

    // Print all loaded Styles (CSS)
	global $wp_styles;
	foreach( $wp_styles->queue as $style ) :
		if(!in_array($style, $allow_style , true)){
			wp_dequeue_style( $style );
		}
	endforeach;

}


function yahman_addons_remove_specific_widget($sidebars_widgets){

	if(YA_AMP){

		$ok_widget = array('ya_', 'custom_hp_' , 'recent-comments' , 'calendar' , 'tag_cloud' , 'meta' , 'search-');

		foreach($sidebars_widgets as $widget_area => $widget_list){

			foreach($widget_list as $pos => $widget_id){

				$judge = true;
				foreach($ok_widget as $key => $value){
					if(strpos($widget_id, $value) !== false){
						$judge = false;
						break;
					}

				}
				if($judge){
					unset($sidebars_widgets[$widget_area][$pos]);
				}

			}
		}
	}
	return $sidebars_widgets;
}
add_filter('sidebars_widgets','yahman_addons_remove_specific_widget');


if(is_singular()){
	add_action( 'wp_footer', function (){
		echo '<amp-image-lightbox id="amp_image_lightbox" layout="nodisplay"></amp-image-lightbox>' . "\n";
	} );
}

add_action('wp_head', 'yahman_addons_amp_buffer_start', 10000000000000000);
add_action('shutdown', 'yahman_addons_amp_buffer_finish', 100000);
function yahman_addons_amp_buffer_start() {
	ob_start('yahman_addons_amp_buffer_callback');
}


function yahman_addons_amp_buffer_finish() {
	if (ob_get_contents()) ob_end_clean();
	if (ob_get_length()) ob_end_clean();
}
function yahman_addons_amp_buffer_callback ( $buffer ) {

	return YAHMAN_ADDONS_AMP::replace_amp($buffer);

}



