<?php
defined( 'ABSPATH' ) || exit;

class YAHMAN_ADDONS_AMP {



	public static function replace_amp($the_content) {

		$option = get_option('yahman_addons') ;

		$the_content =  str_replace(' ontouchstart=""', '', $the_content);


		

		
		$the_content = mb_ereg_replace('\xc2\xa0', ' ', $the_content);
		
		$the_content = preg_replace('/<script.*?gist\.github\.com.*?>.*?<\/script>/iu','<a class="github_link" href="'.esc_url(get_the_permalink()).'">'.esc_html__( 'Code check to master page', 'simple-days' ).'</a>', $the_content);
		
		$the_content = preg_replace('/<script.*?static\.codepen\.io\/assets\/embed\/ei\.js.*?>.*?<\/script>/iu','<a class="github_link" href="'.esc_url(get_the_permalink()).'">'.esc_html__( 'Code check to master page', 'simple-days' ).'</a>', $the_content);

		
		$the_content = preg_replace(array(
			'/( onclick| border| scale marginwidth| marginheight| security| decoding)=[\'"]([^\'"]+)[\'"]/iu',
			'/<script(?!.*type="application\/json").+?<\/script>/iu',
			'/ +?target=[\'"](?!.*_blank).*?[\'"]/i',
			'/<font*?>/iu',
			'/<\/font>/iu',
		), '', $the_content);

    //style属性のアウト対象が入っていれば取り除く
		$pattern_front = '/style="(.*?)';
		$pattern_end = '(.*?)"/i';
		$pattern = array(
			$pattern_front.'zoom:.+?;'.$pattern_end,
			$pattern_front.'--.+?:.+?;'.$pattern_end,
			$pattern_front.'--.+?:.+?;'.$pattern_end,
			$pattern_front.'--.+?:.+?;'.$pattern_end,
			$pattern_front.'-webkit-.+?:.+?;'.$pattern_end,
			$pattern_front.'-ms-.+?:.+?;'.$pattern_end,
			$pattern_front.'_display:.+?;'.$pattern_end,
			$pattern_front.'!important'.$pattern_end,
		);
		$append = 'style="$1$2"';
		$the_content = preg_replace($pattern, $append, $the_content);


		//$the_content = preg_replace(
		//	'/<form(.*?)>/iu',
		//	'<form$1 target="_top">', $the_content);


		$pattern = 'iframe';
		
		$the_content = preg_replace(array(
			'/<'.$pattern.'/i',
			'/<\/'.$pattern.'>/i',
		),
		array(
			'<amp-iframe layout="responsive"',
			'</amp-iframe>',
		),$the_content);

		
		$the_content = str_replace('http://ecx.images-amazon.com','https://images-fe.ssl-images-amazon.com', $the_content);

		
		
		$amp_layout = array('nodisplay','fixed','responsive','fixed-height','fill','container','flex-item','intrinsic');

		$judge = preg_match_all('/<img(.+?)\/?>/is', $the_content, $match);

		if($judge){
			foreach ($match[0] as $str) {
				$src = $img_url = $width = $height = $class = $alt = $title = $size = $sizes = $layout = null;
				
				$judge = preg_match('/src=["\']([^"\']+?)["\']/is', $str, $value);
				if($judge){
					$src = $value[0];
					$img_url = $value[1];
				}

				
				$judge = preg_match('/width=["\']([^"\']*?)["\']/is', $str, $value);
				if ($judge) {
					$width = $value[1];
				}

				
				$judge = preg_match('/height=["\']([^"\']*?)["\']/is', $str, $value);
				if ($judge) {
					$height = $value[1];
				}

				
				$judge = preg_match('/class=["\']([^"\']*?)["\']/is', $str, $value);
				if ($judge) {
					$class = $value[1];
				}

				
				$judge = preg_match('/alt=["\']([^"\']*?)["\']/is', $str, $value);
				if ($judge) {
					$alt = $value[1];
				}

				
				$judge = preg_match('/title=["\']([^"\']*?)["\']/is', $str, $value);
				if ($judge) {
					$title = $value[1];
				}

				
				$judge = preg_match('/layout=["\']([^"\']*?)["\']/is', $str, $value);
				if ($judge) {
					if(in_array($value[1], $amp_layout, true))
						$layout = ' layout="'.$value[1].'"';
				}

				if($img_url && ( empty($width) || empty($height) ) ){

					if(strpos($img_url,home_url()) !== false){
						$size = getimagesize($img_url);
						$width = $size[0];
						$height = $size[1];
					}else{
						$width = 100;
						$height = 100;
					}

				}

				if ($width) {
					$sizes = ' sizes="(max-width: '.$width.'px) 100vw, '.$width.'px"';
				}

				$amp_img = '<amp-img '.$src.' width="'.$width.'" height="'.$height.'" alt="'.$alt.'" title="'.$title.'" class="'.$class.'"'.$layout.$sizes.'></amp-img>';

				$the_content = preg_replace('{'.preg_quote($str).'}', $amp_img , $the_content, 1);

			}
		}



		if(is_singular()){
			$pattern     = '{<a href="[^"]+?/wp-content/uploads.+?"><amp-img(.+?)></a>}i';
			$append      = '<amp-img class="amp-lightbox amp-image-lightbox" on="tap:amp_image_lightbox" role="button" tabindex="0"$1>';
      // $the_content = preg_replace( $pattern, $append, $the_content );
			if (preg_match_all($pattern, $the_content, $match)) {
				$i = 0;
				foreach ($match[0] as $tag) {
					$any_tag = $match[1][$i];
					if (preg_match('/class="(.+?)"/i', $any_tag, $value)) {
						$any_tag = preg_replace('/class=".+?"/i', '', $any_tag );
						$the_content = str_replace($tag,
							'<amp-img class="'.$value[1].'" on="tap:amp_image_lightbox" role="button" tabindex="0"'.$any_tag.'>',
							$the_content);
					} else {
						$the_content = str_replace($tag,
							'<amp-img on="tap:amp_image_lightbox" role="button" tabindex="0"'.$any_tag.'>',
							$the_content);
					}
					$i++;
				}
			}

		}

		if(isset($option['ga']['enable'])){
			if ( !function_exists( 'wp_body_open' ) ){
				$ga_amp_code = yahman_addons_ga_amp();
				$the_content = preg_replace('/<body(.*?)>/iu', '<body$1>'.$ga_amp_code, $the_content);
			}
		}


		return $the_content;
	}


}

