<?php
defined( 'ABSPATH' ) || exit;
/**
 * Admin enqueue
 *
 * @package YAHMAN Add-ons
 */



function yahman_addons_admin_page_scripts(){
	wp_enqueue_style('yahman_addons_admin',YAHMAN_ADDONS_URI . 'assets/css/admin.min.css',array());
	wp_enqueue_media();
	wp_enqueue_script('yahman_addons_media_uploader',YAHMAN_ADDONS_URI . 'assets/js/customizer/media-uploader.min.js', array('jquery'), null );
	wp_enqueue_style( 'wp-color-picker');
	wp_enqueue_script( 'wp-color-picker');
	wp_enqueue_script('yahman_addons-color-picker-admin',YAHMAN_ADDONS_URI . 'assets/js/customizer/color-picker-admin.min.js', array('wp-color-picker'), null , true );
	wp_enqueue_script('yahman_addons_admin_scripts',YAHMAN_ADDONS_URI . 'assets/js/admin.min.js', array('jquery'), null );

	//wp_enqueue_script('wp-color-picker-alpha',YAHMAN_ADDONS_URI . 'assets/js/customizer/wp-color-picker-alpha.min.js', array('wp-color-picker'), null , true );
	//wp_enqueue_script( 'wp-color-picker-alpha_widget', YAHMAN_ADDONS_URI . 'assets/js/customizer/color_alpha_widget.min.js', array( 'wp-color-picker-alpha' ), null, true );
}


function yahman_addons_enqueue_style_base(){

	wp_enqueue_style('yahman_addons_base',YAHMAN_ADDONS_URI . 'assets/css/base.min.css' );

}

function yahman_addons_enqueue_style_toc(){
	wp_enqueue_style('yahman_addons_toc',YAHMAN_ADDONS_URI . 'assets/css/toc.min.css' );
	wp_enqueue_style('font-awesome4-mini', YAHMAN_ADDONS_URI . 'assets/fonts/fontawesome/style.min.css', array(), null);
}

function yahman_addons_enqueue_style_post_list(){
	wp_enqueue_style('yahman_addons_post_list',YAHMAN_ADDONS_URI . 'assets/css/post_list.min.css' );
}

function yahman_addons_enqueue_style_cta(){
	wp_enqueue_style('yahman_addons_cta',YAHMAN_ADDONS_URI . 'assets/css/cta.min.css' );
}



function yahman_addons_enqueue_style_social(){
	wp_enqueue_style('yahman_addons_social',YAHMAN_ADDONS_URI . 'assets/css/sns.min.css' );
}

function yahman_addons_enqueue_style_profile(){
	wp_enqueue_style('yahman_addons_profile',YAHMAN_ADDONS_URI . 'assets/css/profile.min.css' );
}

function yahman_addons_enqueue_style_blog_card(){
	wp_enqueue_style('yahman_addons_blog_card',YAHMAN_ADDONS_URI . 'assets/css/blog_card.min.css' );
}
function yahman_addons_enqueue_style_notice(){
	wp_enqueue_style('yahman_addons_notice',YAHMAN_ADDONS_URI . 'assets/css/notice.min.css' );

	wp_enqueue_style('font-awesome4-mini', YAHMAN_ADDONS_URI . 'assets/fonts/fontawesome/style.min.css', array(), null);
}

function yahman_addons_enqueue_style_dd(){
	wp_enqueue_style('yahman_addons_dd',YAHMAN_ADDONS_URI . 'assets/css/dd.min.css' );
}

function yahman_addons_enqueue_style_cse(){
	wp_enqueue_style('yahman_addons_cse',YAHMAN_ADDONS_URI . 'assets/css/cse.min.css' );
}

function yahman_addons_highlight_load() {
	$option = get_option('yahman_addons') ;
	$highlight_style = isset($option['javascript']['highlight_style']) ? $option['javascript']['highlight_style'] : 'default';
	wp_enqueue_style('highlight_style', YAHMAN_ADDONS_URI . 'assets/js/highlight/styles/'.$highlight_style.'.css' );
	wp_enqueue_script('highlight_script',YAHMAN_ADDONS_URI . 'assets/js/highlight/highlight.pack.js', array(), null );
	wp_add_inline_script( 'highlight_script', '
		hljs.initHighlightingOnLoad();
		');

}

function yahman_addons_lightbox_lity() {
	wp_enqueue_script( 'lightbox_lity', YAHMAN_ADDONS_URI . 'assets/js/lity/lity.min.js', array( 'jquery' ), null , true );
	wp_enqueue_style('lightbox_lity', YAHMAN_ADDONS_URI . 'assets/js/lity/lity.min.css' );
}

function yahman_addons_lazy_lozad() {

	require_once ABSPATH . 'wp-admin/includes/file.php';
	WP_Filesystem();
	global $wp_filesystem;

	//wp_enqueue_script( 'polyfill_IntersectionObserver', 'https://polyfill.io/v2/polyfill.min.js?features=IntersectionObserver', array(), null , true );
	wp_register_script( 'polyfill_IntersectionObserver', '', '', null , true );
	wp_enqueue_script( 'polyfill_IntersectionObserver');
	wp_add_inline_script( 'polyfill_IntersectionObserver', "(function(undefined) {}).call('object' === typeof window && window || 'object' === typeof self && self || 'object' === typeof global && global || {});");

	wp_register_script( 'lazy_lozad', '', array('polyfill_IntersectionObserver'), null , true );
	wp_enqueue_script( 'lazy_lozad');
	wp_add_inline_script( 'lazy_lozad', $wp_filesystem->get_contents( YAHMAN_ADDONS_DIR . 'assets/js/lozad/lozad.min.js' ).'
		const observer = lozad(".ya_lozad",{rootMargin:"10px 0px",threshold:0.1,loaded:function(el){el.classList.add("is_loaded");}});observer.observe();');
}

function yahman_addons_user_timing_api(){
	?>
	<script type="text/javascript">window.performance.mark('mark_fully_loaded');</script>
	<?php
}

function yahman_addons_uploaded_to_this_post(){
	?>
	<script type="text/javascript">jQuery(function( $ ){
		wp.media.view.Modal.prototype.on( 'open', function( ){ $( 'select.attachment-filters' ).find( '[value="uploaded"]').attr( 'selected', true ).parent().trigger('change'); });
	});
</script>
<?php
}


if(!YAHMAN_ADDONS_TEMPLATE){
	add_action( 'wp_footer', 'yahman_addons_enqueue_style_base');
}

function yahman_addons_replace_scripts_type($tag) {

	return preg_replace( '/type=["\']text\/javascript["\']/', 'async', $tag );

}
//add_filter( 'script_loader_tag','yahman_addons_replace_scripts_type',9999999999);
