<?php
defined( 'ABSPATH' ) || exit;
/**
 * Extra content
 *
 * @package YAHMAN Add-ons
 */


function yahman_addons_replace_content($the_content) {

	if(!is_admin()){
		$option = get_option('yahman_addons') ;


		if(isset($option['sitemap']['enable'])){
			if(!empty($option['sitemap']['slug'])){
				if ($GLOBALS['post']->post_name == $option['sitemap']['slug']) {
					require_once YAHMAN_ADDONS_DIR . 'inc/site_map.php';
					$the_content = yahman_addons_site_map();
				}
			}
		}

		if(isset($option['blogcard']['internal']) || isset($option['blogcard']['external'])){

			require_once YAHMAN_ADDONS_DIR . 'inc/get_thumbnail.php';
			require_once YAHMAN_ADDONS_DIR . 'inc/blog_card.php';
			$the_content = yahman_addons_blog_card($the_content,$option);

		}

		if(isset($option['toc']['enable'])){

			require_once YAHMAN_ADDONS_DIR . 'inc/toc.php';
			$the_content = yahman_addons_toc($the_content,$option);

		}


		if( is_single() ){

			if( isset($option['cta_social']['post']) ){

				require_once YAHMAN_ADDONS_DIR . 'inc/get_thumbnail.php';
				require_once YAHMAN_ADDONS_DIR . 'inc/cta-social.php';
				if(!YAHMAN_ADDONS_TEMPLATE){
					$the_content .= yahman_addons_cta_social();
					add_action( 'wp_footer', 'yahman_addons_enqueue_style_cta' );
				}
			}

			if( isset($option['share']['post']) ){

				require_once YAHMAN_ADDONS_DIR . 'inc/social-share.php';
				if(!YAHMAN_ADDONS_TEMPLATE){
					$the_content .= yahman_addons_social_share();

				}
			}

			if( isset($option['related_posts']['post']) ){

				require_once YAHMAN_ADDONS_DIR . 'inc/related_posts.php';

				if(!YAHMAN_ADDONS_TEMPLATE){
					$the_content .= yahman_addons_related_post();
				}
			}

		}

		if( is_page() ){

			if( isset($option['cta_social']['page']) ){

				require_once YAHMAN_ADDONS_DIR . 'inc/get_thumbnail.php';
				require_once YAHMAN_ADDONS_DIR . 'inc/cta-social.php';
				if(!YAHMAN_ADDONS_TEMPLATE){
					$the_content .= yahman_addons_cta_social();
					add_action( 'wp_footer', 'yahman_addons_enqueue_style_cta' );
				}
			}

			if( isset($option['share']['page']) ){

				require_once YAHMAN_ADDONS_DIR . 'inc/social-share.php';
				if(!YAHMAN_ADDONS_TEMPLATE){
					$the_content .= yahman_addons_social_share();

				}
			}

			if( isset($option['related_posts']['page']) ){


				require_once YAHMAN_ADDONS_DIR . 'inc/related_posts.php';

				if(!YAHMAN_ADDONS_TEMPLATE){
					$the_content .= yahman_addons_related_post();
				}
			}

		}

		if(is_singular()){
			if( YA_AMP ){

				//$the_content = YAHMAN_ADDONS_AMP::replace_amp($the_content);



			}else{

				if( isset($option['javascript']['lightbox']) ){
					if( $option['javascript']['lightbox'] === 'lity'){
						$pattern ='/<a(.*?)href=[\'"](.*?).(png|jpe?g|gif|svg|webp|bmp|ico|tiff?)[\'"](.*?)><img/i';
						$replacement = '<a$1href="$2.$3"$4 data-lity><img';
						$the_content = preg_replace($pattern, $replacement, $the_content);
						add_action( 'wp_footer', 'yahman_addons_lightbox_lity');
					}
				}



				if( isset($option['javascript']['code']) ){
					if( $option['javascript']['code'] === 'highlight'){

						$highlight = (strpos($the_content,'<pre>') !== false ? true : false);
						if ($highlight == true){
							$highlight_style = isset($option['javascript']['highlight_style']) ? $option['javascript']['highlight_style'] : 'default';

							add_action( 'wp_footer', 'yahman_addons_highlight_load');

						}
					}
				}

				if(isset($option['ga']['enable'])){
					if ( !function_exists( 'wp_body_open' ) ){
						require_once YAHMAN_ADDONS_DIR . 'inc/ga_gtag.php';
						$ga_code = yahman_addons_ga_gtag_noscript();
						$the_content = preg_replace('/<body(.*?)>/iu', '<body$1>'.$ga_code, $the_content);
					}
				}

			}
		}
	}
	return $the_content;
}
add_filter('the_content','yahman_addons_replace_content', 1000);
