<?php
defined( 'ABSPATH' ) || exit;
/**
 * Related Posts
 *
 * @package YAHMAN Add-ons
 */

function yahman_addons_related_post($post_type = 'post'){

	if(is_front_page())return;

	$option = get_option('yahman_addons');


	if($post_type === 'post'){
		$related_title = isset($option['related_posts']['post_title']) ? $option['related_posts']['post_title']: __( 'Related Posts', 'yahman-add-ons' );
		$max_post_num = isset($option['related_posts']['post_num']) ? $option['related_posts']['post_num']: 9;
		$display_style = isset($option['related_posts']['post_style']) ? $option['related_posts']['post_style'] : '3';
	}else{

		$related_title = isset($option['related_posts']['page_title']) ? $option['related_posts']['page_title']: __( 'Related Pages', 'yahman-add-ons' );
		$max_post_num = isset($option['related_posts']['page_num']) ? $option['related_posts']['page_num']: 9;
		$display_style = isset($option['related_posts']['page_style']) ? $option['related_posts']['page_style'] : '3';
	}
	//$max_post_num = get_theme_mod( 'simple_days_posts_related_post_number',9);
	//if( $max_post_num < 0 ) return;
	//$post_type = 'post';
	//$related_title = __( 'Related Posts', 'yahman-add-ons' );
	//$display_style = get_theme_mod( 'simple_days_posts_related_post_style','over_thum');

	return yahman_addons_related_out( $related_title, $max_post_num , $post_type , $display_style );

}
function yahman_addons_related_page(){

	$max_post_num = get_theme_mod( 'simple_days_page_related_post_number',9);
	if( $max_post_num < 0 ) return;
	$post_type = 'page';
	$related_title = __( 'Related Pages', 'yahman-add-ons' );
	$display_style = get_theme_mod( 'simple_days_page_related_post_style','over_thum');

	return yahman_addons_related_out( $max_post_num , $post_type , $related_title , $display_style );

}

function yahman_addons_related_list($post){
	$title = $post ->post_title;
	$title = $title === "" ? esc_html__( 'No title', 'yahman-add-ons' ) : $title;
	?>
	<li class="pl_item w100 f_box post_list_border">
		<a href="<?php echo esc_url(get_permalink($post->ID)); ?>" class="pl_title f_box ai_c p5">
			<?php echo $title; ?>
		</a>
	</li>
	<?php
}


function yahman_addons_related_list_with_thumbnail($post){

	require_once YAHMAN_ADDONS_DIR . 'inc/get_thumbnail.php';
	$thumurl = yahman_addons_get_thumbnail( $post->ID , 'thumbnail' );
	$title = $post ->post_title;
	$post_url = get_permalink($post->ID);
	$post_content = $post ->post_content;
	?>
	<li class="pl_item relative w100 f_box mb10 mb_M box_shadow">
		<a href="<?php echo esc_url($post_url); ?>" class="f_box w100 opa7">
			<div class="post_list_thum fit_box_img_wrap">

				<?php
				echo '<'.( YA_AMP ? 'amp-img':'img decoding="async"').' src="'.esc_url($thumurl[0]).'" class="scale_13 trans_10" width="'.esc_attr($thumurl[1]).'" height="'.esc_attr($thumurl[2]).'" alt="'.esc_attr($title).'" title="'.esc_attr($title).'" /></div>';

				echo '<div class="f_box f_col jc_c"><div class="fw8 fc_555">'.$title;



				$judge = $heading_count = preg_match( '/<h([1-6]).*?>(.*?)<\/h[1-6].*?>/iu', $post_content, $heading );

				if($judge) $post_content = $heading[0];

				echo '</div><div class="fc_555 fs14">'.esc_html(mb_strimwidth(wp_strip_all_tags(strip_shortcodes($post_content) , true), 0, 78, "...", 'UTF-8'));
				?>
			</div></div>
		</a>
	</li>

	<?php
}


function yahman_addons_related_title_under_thumbnail($post){

	require_once YAHMAN_ADDONS_DIR . 'inc/get_thumbnail.php';
	$thumurl = yahman_addons_get_thumbnail( $post->ID , 'medium' );
	$title = $post ->post_title;
	?>
	<li class="rp_box_thum pl_item mb10 opa7 box_shadow of_h">
		<a href="<?php echo esc_url(get_permalink($post->ID)); ?>" class="non_hover">

			<div class="rp_img fit_box_img_wrap">
				<?php
				echo '<'.( YA_AMP ? 'amp-img':'img decoding="async"').' src="'.esc_url($thumurl[0]).'" class="scale_13 trans_10" width="'.esc_attr($thumurl[1]).'" height="'.esc_attr($thumurl[2]).'" alt="'.esc_attr($title).'" title="'.esc_attr($title).'" />';
				?>
			</div>
			<div class="rp_thum_title pl_thum_title fc_555 f_box p5 fs14 of_h">
				<?php echo $title; ?>
			</div>
		</a>
	</li>
	<?php
}



function yahman_addons_related_title_over_thumbnail($post){

	require_once YAHMAN_ADDONS_DIR . 'inc/get_thumbnail.php';
	$thumurl = yahman_addons_get_thumbnail( $post->ID , 'medium' );
	$title = $post ->post_title;
	?>
	<li class="rp_box_tt pl_item relative mb10 opa7 box_shadow">
		<a href="<?php echo esc_url(get_permalink($post->ID)); ?>" class="non_hover">
			<div class="rp_tt_title pl_tt_title absolute z1 fc_fff f_box p5 left0 right0 of_h fs14">
				<?php echo $title; ?>
			</div>
			<div class="rp_img fit_box_img_wrap">
				<?php
				echo '<'.( YA_AMP ? 'amp-img':'img decoding="async"').' src="'.esc_url($thumurl[0]).'" class="scale_13 trans_10" width="'.esc_attr($thumurl[1]).'" height="'.esc_attr($thumurl[2]).'" alt="'.esc_attr($title).'" title="'.esc_attr($title).'" />';
				?>
			</div>
		</a>
	</li>
	<?php
}







function yahman_addons_related_out( $related_title , $max_post_num , $post_type , $display_style ){


	if(!YAHMAN_ADDONS_TEMPLATE){
		add_action( 'wp_footer', 'yahman_addons_enqueue_style_post_list' );
	}

	$rel_count = 0;
	$rel_posts = array();
	$tag_ids = array();
	$get_page_id = get_the_ID();

	if ( has_tag() ) {
		
		$tags = wp_get_post_tags($get_page_id);
		foreach($tags as $tag):
			array_push( $tag_ids, $tag->term_id);
		endforeach ;
		$tag_args = array(
			'post_type' => $post_type,
			'post__not_in' => array($get_page_id),
			'posts_per_page'=> $max_post_num,
			'tag__in' => $tag_ids,
			'orderby' => 'rand',
		);
		$rel_posts = get_posts($tag_args);
		$rel_count = count($rel_posts);
	}

	if(!has_tag() || $max_post_num > $rel_count){
		
		

		$categories = get_the_category($get_page_id);
		$category_ID = array();
		foreach($categories as $category):
			array_push( $category_ID, $category ->cat_ID);
		endforeach ;
		
		$cat_args = array(
			'post_type' => $post_type,
			'post__not_in' => array($get_page_id),
			'tag__not_in' => $tag_ids,
			'posts_per_page'=> ($max_post_num - $rel_count),
			'category__in' => $category_ID,
			'orderby' => 'rand',
		);
		$cat_posts = get_posts($cat_args);
		$rel_posts = array_merge($rel_posts, $cat_posts);
		shuffle($rel_posts);
	}
	//$posts = new WP_Query( $rel_posts );

	
	
	if(  count( $rel_posts ) > 0 ):

		ob_start();

		?>
		<aside id="rp_wrap" class="post_item mb_L">
			<h4 class="item_title mb_S"><?php echo esc_html( $related_title ); ?></h4>
			<div  class="related_posts post_list_box">
				<ul class="post_list_ul m0 f_box f_wrap" style="list-style:none;">
					<?php
				//require_once YAHMAN_ADDONS_DIR . 'inc/classes/post_list.php';
				//YAHMAN_ADDONS_POST_LIST::yahman_addons_post_list_output($posts,$display_style,false,false,$max_post_num);

					if($display_style === '1'){
						$function_name = 'yahman_addons_related_list';
					}else if($display_style === '2'){
						$function_name = 'yahman_addons_related_list_with_thumbnail';
					}else if($display_style === '3'){
						$function_name = 'yahman_addons_related_title_over_thumbnail';
					}else if($display_style === '4'){
						$function_name = 'yahman_addons_related_title_under_thumbnail';
					}


					foreach ($rel_posts as $post):

						$function_name($post);

					endforeach;

					?>
				</ul>
			</div>
		</aside>
		<?php
		return ob_get_clean();
	endif;
}

