<?php
defined( 'ABSPATH' ) || exit;

$yahman_stylesheet = get_stylesheet();

$yahman_judge = false;

if($yahman_stylesheet === 'simple-days' || $yahman_stylesheet === 'simple-days-plus' || $yahman_stylesheet === 'neatly' || $yahman_stylesheet === 'neatly-plus'){
  $yahman_judge = true;
}
define( 'YAHMAN_ADDONS_TEMPLATE', $yahman_judge );


require_once YAHMAN_ADDONS_DIR . 'inc/enqueue.php';



function yahman_addons_widgets_init() {
  $option = get_option('yahman_addons') ;
  if(empty($option['widget'])) return;

  require_once YAHMAN_ADDONS_DIR . 'inc/widget.php';
  yahman_addons_add_widget($option);
}
add_action( 'widgets_init', 'yahman_addons_widgets_init' );

function yahman_addons_amp_logo(){
  $option =  get_option('yahman_addons') ;
  return !empty($option['amp']['logo']) ? $option['amp']['logo'] : YAHMAN_ADDONS_URI . 'assets/images/amp-logo.png';
}

add_action('template_redirect','yahman_addons_template_setup',1);
//template_loaded
function yahman_addons_template_setup(){

	$yahman_judge = $amp_ready = false;
	$amp_logo = '';
	$option =  get_option('yahman_addons') ;



  $profile['user_profile'] = isset($option['profile']['user_profile']) ? true: false;

  if($profile['user_profile']){
    require_once YAHMAN_ADDONS_DIR . 'inc/user_profile_output.php';

    if(!YAHMAN_ADDONS_TEMPLATE){
      add_action('wp_footer','yahman_addons_enqueue_style_notice');
    }
  }


  define( 'YA_USER_PROFILE', $profile['user_profile'] );



  if(YAHMAN_ADDONS_TEMPLATE){

    if(isset($option['amp']['enable'])){
     $amp_ready = true ;


     $yahman_judge = false;

     if ( !empty($_GET['amp'])) {
      if ( $_GET['amp'] === '1') {
       $yahman_judge = true;
     }
   }

   $amp_logo = !empty($option['amp']['logo']) ? $option['amp']['logo'] : YAHMAN_ADDONS_URI . 'assets/images/amp-logo.png';
     }else{//AMP OFF
     	$amp_ready = false ;
     }


   }//end YAHMAN_ADDONS_TEMPLATE


   $post_not_in = explode(',', $option['amp']['post_not_in']);
   if( in_array ( get_the_ID(), $post_not_in  ) ) {
   	$yahman_judge = $amp_ready = false;
   	$amp_logo = '';
   }




   if (!defined('YA_AMP')) {
   	define( 'YA_AMP', $yahman_judge );
   }
   if (!defined('YA_AMP_READY')) {
   	define( 'YA_AMP_READY', $amp_ready );
   }
   if (!defined('YA_AMP_LOGO')) {
   	define( 'YA_AMP_LOGO', $amp_logo );
   }

   if(YA_AMP){
   	require_once YAHMAN_ADDONS_DIR . 'inc/classes/amp.php';
   }

   $ga_gtag = '';
   $amp_ga = '';
   if(isset($option['ga']['enable'])){
   	if(isset($option['ga']['id']))  $ga_gtag = $option['ga']['id'];
   	if(isset($option['amp']['ga'])) $amp_ga = $option['amp']['ga'];
   	if (!defined('YA_GA_GTAG')) {
   		define( 'YA_GA_GTAG', $ga_gtag );
   	}
   	if (!defined('YA_GA_AMP')) {
   		define( 'YA_GA_AMP', $amp_ga );
   	}
   	if(YA_AMP){
   		require_once YAHMAN_ADDONS_DIR . 'inc/ga_amp.php';
      if ( function_exists( 'wp_body_open' ) ){
        add_action( 'wp_body_open', function() {
          echo yahman_addons_ga_amp();
        });
      }
    }else{
     if ( !is_user_logged_in() )
       require_once YAHMAN_ADDONS_DIR . 'inc/ga_gtag.php';
   }

   }else{  //else of $option['ga']['enable']
   if (!defined('YA_GA_GTAG')) {
   	define( 'YA_GA_GTAG', $ga_gtag );
   }
   if (!defined('YA_GA_AMP')) {
   	define( 'YA_GA_AMP', $amp_ga );
   }
   }//end of $option['ga']['enable']


   if (YA_AMP){
   	require_once YAHMAN_ADDONS_DIR . 'inc/amp_setup.php';
   }else{

   	if( isset($option['javascript']['lazy']) ){
   		if( $option['javascript']['lazy'] === 'lozad'){



   			require_once YAHMAN_ADDONS_DIR . 'inc/lozad.php';

   			add_action( 'wp_footer', 'yahman_addons_lazy_lozad');

   		}
   	}

   	if( isset($option['other']['user_timing_api']) ){

   		add_action( 'wp_print_footer_scripts', 'yahman_addons_user_timing_api');

   	}
   }




 }





 function yahman_addons_wp_head($post_id){

   $option = get_option('yahman_addons') ;

   $ga_gtag = '';
   $amp_ga = '';

   
   if(!YA_AMP && YA_AMP_READY){ ?>
    <link rel="amphtml" href="<?php global $wp; echo esc_url(home_url( add_query_arg( array(), $wp->request ) )); ?>?amp=1" />
    <?php
  }






  if(isset($option['ogp']['meta'])){
    require_once YAHMAN_ADDONS_DIR . 'inc/ogp.php';
    yahman_addons_meta_ogp($post_id,$option);
  }



  if(isset($option['ga']['verification'])){
    require_once YAHMAN_ADDONS_DIR . 'inc/g_verification.php';
    yahman_addons_meta_g_verification($option);
  }

  if ( get_option('blog_public') != '0' && !empty($option['robot']) ){
    require_once YAHMAN_ADDONS_DIR . 'inc/blog_public.php';
    yahman_addons_blog_public($option['robot']);
  }

  if(isset($option['header']['meta_thum'])){

    if ( is_singular() ){

     require_once YAHMAN_ADDONS_DIR . 'inc/get_thumbnail.php';
     $meta_thum = yahman_addons_get_thumbnail('' , 'full');

   }else{

    $ogp_logo = !empty($option['ogp']['image']) ? $option['ogp']['image'] : YAHMAN_ADDONS_URI . 'assets/images/ogp.jpg';

    $meta_thum[0] = $ogp_logo;

  }

  if(isset($meta_thum[0])){
    echo '<meta name="thumbnail" content="' .esc_url($meta_thum[0]). '" />' . "\n";
  }

}







if (!is_singular() || is_user_logged_in() || is_robots()) return;


if(isset($option['pv']['enable'])){

  if (empty($post_id)) {
   global $post;
   $post_id = $post->ID;
 }
 require_once YAHMAN_ADDONS_DIR . 'inc/page_view.php';
 yahman_addons_page_view($post_id);

}


}
add_action( 'wp_head', 'yahman_addons_wp_head' );

function yahman_addons_wp_footer($post_id){

 $option = get_option('yahman_addons') ;

 
 if(isset($option['json']['breadcrumblist'])){
   require_once YAHMAN_ADDONS_DIR . 'inc/json_breadcrumb.php';
   yahman_addons_json_breadcrumb();
 }

 
 if(isset($option['json']['page'])){
   require_once YAHMAN_ADDONS_DIR . 'inc/json_structured_data_page.php';
   yahman_addons_json_structured_data_page();
 }

}
add_action( 'wp_footer', 'yahman_addons_wp_footer' );


require_once YAHMAN_ADDONS_DIR . 'inc/extra-content.php';
