<?php
/**
 * Widget Pageview
 *
 * @package YAHMAN Add-ons
 */


class yahman_addons_page_view_widget extends WP_Widget {

	
	function __construct() {
		parent::__construct(
      'ya_pv',// Base ID
			esc_html__( '[YAHMAN Add-ons] Pageview', 'yahman-add-ons' ), // Name
			array( 'description' => esc_html__( 'Show PV counter.', 'yahman-add-ons' ), ) // Args
		);
	}


  /**
   * Set default settings of the widget
   */
  private function default_settings() {

    $defaults = array(
      'page_view_title'    => esc_html__( 'Pageview', 'yahman-add-ons' ),
    );

    return $defaults;
  }


	public function widget( $args, $instance ) {


    // Get Widget Settings.
    $settings = wp_parse_args( $instance, $this->default_settings() );

    $yahman_addons_count = get_option('yahman_addons_count') ;

    $option = get_option('yahman_addons') ;

    $period_value = array(
      'none' => esc_html( '-' ),
      'all' => esc_html__( 'PV', 'yahman-add-ons' ),
      'yearly' => esc_html__( 'PV of this year', 'yahman-add-ons' ),
      'monthly' => esc_html__( 'PV of this month', 'yahman-add-ons' ),
      'weekly' => esc_html__( 'PV of this week', 'yahman-add-ons' ),
      'daily' => esc_html__( 'PV of today', 'yahman-add-ons' ),
    );


    echo $args['before_widget'];


    echo $args['before_title'] . esc_html($settings['page_view_title']) . $args['after_title'];
    $i = 1;
    while($i < 6){
      $settings['coverage_period_'.$i] = ( ! empty( $instance['coverage_period_'.$i] ) ) ? sanitize_text_field( $instance['coverage_period_'.$i] ) : 'none';


      if($settings['coverage_period_'.$i] != 'none'){
        echo '<p class="pv_'.$settings['coverage_period_'.$i].' ta_r">';


        $counter_num = $yahman_addons_count['pv'][$settings['coverage_period_'.$i]];

        if(isset($option['pv']['img_enable'])){


          for ($j = 0; $j < strlen($counter_num); $j++) {
            $img_num = substr($counter_num, $j, 1);

            if(isset($option['pv']['img_id_'.$img_num])){

              $counter_img = wp_get_attachment_image_src( $option['pv']['img_id_'.$img_num] , 'full' );

              echo '<'.( YA_AMP ? 'amp-img layout="intrinsic"':'img decoding="async"').' src="'.$counter_img[0].'"  width="'.$counter_img[1].'" height="'.$counter_img[2].'" />';
            }
          }

        }else{
          echo '<span class="pv_num">'.$counter_num.'</span>';
          echo '<span class="pv_period">'.$period_value[$settings['coverage_period_'.$i]].'</span>';
        }





        echo '</p>';
      }



      ++$i;
    }

    echo $args['after_widget'];


  }
  public function form( $instance ) {

    // Get Widget Settings.
    $settings = wp_parse_args( $instance, $this->default_settings() );

    $period_value = array(
      'none' => esc_html( '-' ),
      'all' => esc_html__( 'All', 'yahman-add-ons' ),
      'yearly' => esc_html__( 'Yearly', 'yahman-add-ons' ),
      'monthly' => esc_html__( 'Monthly', 'yahman-add-ons' ),
      'weekly' => esc_html__( 'Weekly', 'yahman-add-ons' ),
      'daily' => esc_html__( 'Daily', 'yahman-add-ons' ),
    );

    ?>
    <p>
      <label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php esc_html_e( 'Title', 'yahman-add-ons' ); ?></label>
      <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'page_view_title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'page_view_title' ) ); ?>" type="text" value="<?php echo esc_attr( $settings['page_view_title'] ); ?>">
    </p>
    <?php
    $i = 1;
    while($i < 6){
      $settings['coverage_period_'.$i] = ( ! empty( $instance['coverage_period_'.$i] ) ) ? sanitize_text_field( $instance['coverage_period_'.$i] ) : 'none';
      ?>
      <p>
        <label for="<?php echo esc_attr( $this->get_field_id( 'coverage_period_'.$i ) ); ?>">
          <?php esc_html_e( 'Coverage period', 'yahman-add-ons' ); ?> #<?php echo esc_attr($i); ?></label><br />
          <select id="<?php echo esc_attr( $this->get_field_id( 'coverage_period_'.$i )); ?>" name="<?php echo esc_attr( $this->get_field_name( 'coverage_period_'.$i )); ?>">
            <?php
            foreach ($period_value as $key => $value) {
              echo '<option ';
              selected( $settings['coverage_period_'.$i], $key );
              echo ' value="'.esc_attr($key).'" >'.esc_html($value).'</option>';
            }
            ?>
          </select>
        </p>
        <?php
        ++$i;
      }

    }


    public function update( $new_instance, $old_instance ) {
      $instance = array();
      $instance['page_view_title'] = ( ! empty( $new_instance['page_view_title'] ) ) ? sanitize_text_field( $new_instance['page_view_title'] ) : '';
      $i = 1;
      while($i < 6){
        $instance['coverage_period_'.$i] = ( ! empty( $new_instance['coverage_period_'.$i] ) ) ? sanitize_text_field( $new_instance['coverage_period_'.$i] ) : 'none';
        ++$i;
      }

      return $instance;
    }

} // class yahman_addons_popular_post_widget
