<?php
/**
 * Widget Profile
 *
 * @package YAHMAN Add-ons
 */


class yahman_addons_profile_widget extends WP_Widget {

	
	function __construct() {

		parent::__construct(
			'ya_profile', // Base ID
			esc_html__( '[YAHMAN Add-ons] Profile', 'yahman-add-ons' ), // Name
			array( 'description' => esc_html__( 'Support profile for Widget', 'yahman-add-ons' ), ) // Args
		);
	}
	public function widget( $args, $instance ) {

		$settings = array();

		$option = get_option('yahman_addons');


		$settings['title'] = !empty($option['profile']['title']) ? $option['profile']['title'] : esc_html__( 'About me', 'yahman-add-ons' );



		$settings['name'] = isset($option['profile']['name']) ? $option['profile']['name'] : '';

		$settings['image'] = isset($option['profile']['image']) ? $option['profile']['image'] : '';

		$settings['image_bg'] = isset($option['profile']['image_bg']) ? $option['profile']['image_bg'] : '';


		$settings['image_shape'] = (isset($option['profile']['image_shape']) ? $option['profile']['image_shape'] : '');

		if($settings['image_shape'] === 'circle') $settings['image_shape'] = ' br50';


		$settings['text'] = isset($option['profile']['text']) ? $option['profile']['text'] : '';

		$settings['read_more_url'] = isset($option['profile']['read_more_url']) ? $option['profile']['read_more_url'] : '';

		$settings['read_more_text'] = !empty($option['profile']['read_more_text']) ? $option['profile']['read_more_text'] : esc_html__( 'Read More', 'yahman-add-ons' );

		$settings['read_more_blank'] = (isset($option['profile']['read_more_blank']) ? ' target="_blank"' : '');


		$sns_info['icon_shape'] = (isset($option['profile']['icon_shape']) ? $option['profile']['icon_shape'] : 'icon_square');
		$sns_info['icon_size'] = (isset($option['profile']['icon_size']) ? $option['profile']['icon_size'] : 'icon_medium');

		$sns_info['icon_user_color']  = (isset($option['profile']['icon_user_color']) ? $option['profile']['icon_user_color'] : '');
		$sns_info['icon_user_hover_color']  = (isset($option['profile']['icon_user_hover_color']) ? $option['profile']['icon_user_hover_color'] : '');

		$sns_info['icon_tooltip']  = isset($option['profile']['icon_tooltip']) ? ' sns_tooltip' : '';

		$sns_info['widget_id'] = $args['widget_id'];



		echo $args['before_widget'];

		if ( $settings['title'] ) {
			echo $args['before_title'] . esc_html($settings['title']) . $args['after_title'];
		}//mb20
		require_once YAHMAN_ADDONS_DIR . 'inc/widget/profile_output.php';
		yahman_addons_profile_widget_output($settings);


		$i = 1;
      //$sns_icon = array();
		while($i <= 5){
			$sns_info['share'][$i] = $sns_info['url'][$i] = '';
			$sns_info['icon'][$i] = isset($option['profile']['icon_'.$i]) ? $option['profile']['icon_'.$i] : 'none';
			$sns_info['account'][$i] = isset($option['sns_account'][$option['profile']['icon_'.$i]]) ? $option['sns_account'][$option['profile']['icon_'.$i]] : '';
			if($sns_info['icon'][$i] != 'none')$sns_info['class'] = ' pf_sns_wrap';
			++$i;
		}
		$sns_info['loop'] = 5;
		$sns_info['class'] = ' jc_c';

		if($sns_info['class'] != ''){
			require_once YAHMAN_ADDONS_DIR . 'inc/widget/social-output.php';
			yahman_addons_social_output($sns_info);
		}

		echo '</div>';
		echo $args['after_widget'];
	}
	public function form( $instance ) {

	}
	public function update( $new_instance, $old_instance ) {
		$instance = array();

		return $instance;
	}

} // class yahman_addons_profile_widget
